Subject: RE: Removal of IETF patent disclosures?

From: [email-masked] (Noel Chiappa)
Date: Fri, 15 Aug 2008 10:33:58 -0400 (EDT)

> From: "Bound, Jim" <[email-masked]>

    > I believe the IETF should not permit at some date in the future any
    > part of a specification to have any IPR from any vendor that is
    > accountable to patents or royalties. In simpler terms anything we
    > develop in the IETF is public domain in the legal context, and we do
    > not use any vendor patents for any of our work.

This is impossible without a great deal of additional work, and an additional
lengthy (multi-year delay), for reasons that I would have thought would have
been obvious.

The thing is that anyone can have a patent which bears on an IETF spec, and
the holder of that patent might not even be active in the IETF. So the IETF
could issue a spec, everyone could implement it, and once they've been
selling gear for some months, people could get demand letters from someone
we've never heard of.

There is no easy way to detect such 'submarine' patents - and doing a lengthy
search of all issued patents is not guaranteed to find such things either, as
the patent in question may have been applied for, but not yet issued (various
jurisdictions have differing rules on whether applications are made public).

About the only thing that's relatively sure to ensure there are no patent
issues is for the IETF to patent the spec, and see if the patent office allows
the patent. If so, then you're _probably_ (but not necessarily, as the patent
office does make mistakes fairly often) OK. Of course, that will add many
years to our approval process.

    > the base core IETF specs are patent, royalty, and IPR free to all
    > worldwide regardless of geography or governmental boundaries.

Now you've just multiplied the work by a factor of over 100, as each patent
jurisdiction worldwide has its own set of patents.

    > From: John C Klensin <[email-masked]>

    > I believe that the right way to handle these cases involves _not_
    > having IPR submissions go directly to the database but instead be the
    > subject of a nominal manual review  ...
    > Being a little proactive in that way prevents nonsense from getting
    > into the database in the first place and saves us discussions about the
    > appropriate boundaries for removing something already posted. 

Excellent point.

	Noel
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Bound, Jim" <[email-masked]>
Date: Sat, 16 Aug 2008 11:30:48 +0000

Understood.
/jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Noel Chiappa
> Sent: Friday, August 15, 2008 10:34 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: Removal of IETF patent disclosures?
>
> This is impossible without a great deal of additional work,
> and an additional lengthy (multi-year delay), for reasons
> that I would have thought would have been obvious.
>
> The thing is that anyone can have a patent which bears on an
> IETF spec, and the holder of that patent might not even be
> active in the IETF. So the IETF could issue a spec, everyone
> could implement it, and once they've been selling gear for
> some months, people could get demand letters from someone
> we've never heard of.
>
> There is no easy way to detect such 'submarine' patents - and
> doing a lengthy search of all issued patents is not
> guaranteed to find such things either, as the patent in
> question may have been applied for, but not yet issued
> (various jurisdictions have differing rules on whether
> applications are made public).
>
> About the only thing that's relatively sure to ensure there
> are no patent issues is for the IETF to patent the spec, and
> see if the patent office allows the patent. If so, then
> you're _probably_ (but not necessarily, as the patent office
> does make mistakes fairly often) OK. Of course, that will add
> many years to our approval process.
>
> Now you've just multiplied the work by a factor of over 100,
> as each patent jurisdiction worldwide has its own set of patents.
>
>